﻿using System.Data;
using System.Diagnostics;
using System.Windows;
using Infragistics.Windows.DataPresenter;

namespace XDGFieldSizeChanged
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			const int columns = 50;
			DataTable dt = new DataTable();
			for (int i = 0; i < columns; i++)
			{
				dt.Columns.Add("F" + i.ToString("D02"));
			}
			for (int i = 0; i < 100; i++)
			{
				object[] data = new object[columns];
				for (int j = 0; j < data.Length; j++)
				{
					data[j] = j * i;
				}
				dt.Rows.Add(data);
			}
			xamDataGrid1.DataSource = dt.DefaultView;
		}

		void ColumnSizeChanged(object sender, SizeChangedEventArgs e)
		{
			//MessageBox.Show("Column \""+(sender as LabelPresenter).Field.Name + "\" has been resized");
			Debug.WriteLine("Column \"" + (sender as LabelPresenter).Field.Name + "\" has been resized: " + e.PreviousSize + " -> " + e.NewSize);
		}
	}
}
